/*
* See the file LICENSE for redistribution information.
*
* Copyright (c) 2002-2005
*      Sleepycat Software.  All rights reserved.
*
* $Id: LockTimeOutException.java,v 1.8 2004/12/22 14:11:36 linda Exp $
*/

package com.sleepycat.je.txn;

import com.sleepycat.je.DeadlockException;

/**
 * A Lock timed out.
 */
public class LockTimeOutException extends DeadlockException {

    public LockTimeOutException() {
	super();
    }

    public LockTimeOutException(Throwable t) {
        super(t);
    }

    public LockTimeOutException(String message) {
	super(message);
    }

    public LockTimeOutException(String message, Throwable t) {
        super(message, t);
    }
}
